;--------------------------------------------------------------------------------------
strobe0
;--------------------------------------------------------------------------------------
    LedOutInd  A0_A1_reg,Ax_dir,1    ;LED A0-A1  
    LedOutInd  A0_A2_reg,Ax_dir,2    ;LED A0-A2
    LedOutInd  A0_C0_reg,Cx_dir,0    ;LED A0-C0
    LedOutInd  A0_C1_reg,Cx_dir,1    ;LED A0-C1
    LedOutInd  A0_C2_reg,Cx_dir,2    ;LED A0-C2
    LedOutInd  A0_C4_reg,Cx_dir,4    ;LED A0-C4

    setbank1
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    movf    Cx_dir,w      ;set portA direction
    movwf   TRISC
    setbank0

    movlw   b'00000001'
    movwf   PORTA
    movlw   b'00000000'
    movwf   PORTC
    return

;--------------------------------------------------------------------------------------
strobe1
;--------------------------------------------------------------------------------------
    LedOutInd  A1_A0_reg,Ax_dir,0    ;LED A1-A0  
    LedOutInd  A1_A2_reg,Ax_dir,2    ;LED A1-A2
    LedOutInd  A1_C0_reg,Cx_dir,0    ;LED A1-C0
    LedOutInd  A1_C1_reg,Cx_dir,1    ;LED A1-C1
    LedOutInd  A1_C2_reg,Cx_dir,2    ;LED A1-C2
    LedOutInd  A1_C4_reg,Cx_dir,4    ;LED A1-C4

    setbank1
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    movf    Cx_dir,w      ;set portA direction
    movwf   TRISC
    setbank0
    movlw   b'00000010'
    movwf   PORTA
    movlw   b'00000000'
    movwf   PORTC
    return

;--------------------------------------------------------------------------------------
strobe2
;--------------------------------------------------------------------------------------
    LedOutInd  A2_A0_reg,Ax_dir,0    ;LED A2-A0  
    LedOutInd  A2_A1_reg,Ax_dir,1    ;LED A2-A1
    LedOutInd  A2_C0_reg,Cx_dir,0    ;LED A2-C0
    LedOutInd  A2_C1_reg,Cx_dir,1    ;LED A2-C1
    LedOutInd  A2_C2_reg,Cx_dir,2    ;LED A2-C2
    LedOutInd  A2_C4_reg,Cx_dir,4    ;LED A2-C4

    setbank1
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    movf    Cx_dir,w      ;set portA direction
    movwf   TRISC

    setbank0

    movlw   b'00000100'
    movwf   PORTA
    movlw   b'00000000'
    movwf   PORTC
    return

;--------------------------------------------------------------------------------------
strobe3
;--------------------------------------------------------------------------------------

    LedOutInd  C0_A0_reg,Ax_dir,0    ;LED C0-A0  
    LedOutInd  C0_A1_reg,Ax_dir,1    ;LED C0-A1
    LedOutInd  C0_A2_reg,Ax_dir,2    ;LED C0-A4
    LedOutInd  C0_C1_reg,Cx_dir,1    ;LED C0-C1
    LedOutInd  C0_C2_reg,Cx_dir,2    ;LED C0-C2
    LedOutInd  C0_C4_reg,Cx_dir,4    ;LED C0-C4

    setbank1
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    movf    Cx_dir,w      ;set portA direction
    movwf   TRISC
    setbank0

    movlw   b'00000000'
    movwf   PORTA

    movlw   b'00000001'
    movwf   PORTC

    return

;--------------------------------------------------------------------------------------
strobe4
;--------------------------------------------------------------------------------------

    LedOutInd  C1_A0_reg,Ax_dir,0    ;LED C1-A0  
    LedOutInd  C1_A1_reg,Ax_dir,1    ;LED C1-A1
    LedOutInd  C1_A2_reg,Ax_dir,2    ;LED C1-A4
    LedOutInd  C1_C0_reg,Cx_dir,0    ;LED C1-C0
    LedOutInd  C1_C2_reg,Cx_dir,2    ;LED C1-C2
    LedOutInd  C1_C4_reg,Cx_dir,4    ;LED C1-C4


    setbank1
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    movf    Cx_dir,w      ;set portA direction
    movwf   TRISC
    setbank0

    movlw   b'00000000'
    movwf   PORTA

    movlw   b'00000010'
    movwf   PORTC

    return


;--------------------------------------------------------------------------------------
strobe5
;--------------------------------------------------------------------------------------

    LedOutInd  C2_A0_reg,Ax_dir,0    ;LED C2-A0  
    LedOutInd  C2_A1_reg,Ax_dir,1    ;LED C2-A1
    LedOutInd  C2_A2_reg,Ax_dir,2    ;LED C2-A4
    LedOutInd  C2_C0_reg,Cx_dir,0    ;LED C2-C0
    LedOutInd  C2_C1_reg,Cx_dir,1    ;LED C2-C1
    LedOutInd  C2_C4_reg,Cx_dir,4    ;LED C2-C4

    setbank1
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    movf    Cx_dir,w      ;set portA direction
    movwf   TRISC
    setbank0

    movlw   b'00000000'
    movwf   PORTA

    movlw   b'00000100'
    movwf   PORTC

    return

;--------------------------------------------------------------------------------------
strobe6
;--------------------------------------------------------------------------------------

    LedOutInd  C4_A0_reg,Ax_dir,0    ;LED C4-A0  
    LedOutInd  C4_A1_reg,Ax_dir,1    ;LED C4-A1
    LedOutInd  C4_A2_reg,Ax_dir,2    ;LED C4-A4
    LedOutInd  C4_C0_reg,Cx_dir,0    ;LED C4-C0
    LedOutInd  C4_C1_reg,Cx_dir,1    ;LED C4-C1
    LedOutInd  C4_C2_reg,Cx_dir,2    ;LED C4-C2

    setbank1
    movf    Ax_dir,w      ;set portA direction
    movwf   TRISA
    movf    Cx_dir,w      ;set portA direction
    movwf   TRISC
    setbank0

    movlw   b'00000000'
    movwf   PORTA

    movlw   b'00010000'
    movwf   PORTC

    return

